classification
Title: OSError: handle closed, ProcessPoolExecutor shutdown(wait=False)
Type: crash Stage:
Components: Library (Lib) Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: patbuxton
Priority: normal Keywords:

Created on 2019-12-19 13:19 by patbuxton, last changed 2020-02-17 09:28 by patbuxton.

Messages (2)
msg358679 - (view) Author: Patrick Buxton (patbuxton) * Date: 2019-12-19 13:19
When shutting down a ProcessPoolExecutor with wait=False, an `OSError: handle is closed` is raised.

The error can be replicated with a script as simple as:

```
from concurrent.futures import ProcessPoolExecutor

e = ProcessPoolExecutor()
e.submit(id)
e.shutdown(wait=False)
msg362127 - (view) Author: Patrick Buxton (patbuxton) * Date: 2020-02-17 09:28
This should be fixed with https://github.com/python/cpython/pull/17670 for https://bugs.python.org/issue39104, but only for version 3.9 as no backport!!
History
Date User Action Args
2020-02-17 09:28:47patbuxtonsetmessages: + msg362127
2019-12-20 21:44:31terry.reedysettitle: OSError: handle is closed in ProcessPoolExecutor on shutdown(wait=False) -> OSError: handle closed, ProcessPoolExecutor shutdown(wait=False)
2019-12-19 13:19:43patbuxtoncreate